Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageReader2Collection Class Reference

`#include <vtkImageReader2Collection.h>`

Inheritance diagram for vtkImageReader2Collection:

[legend]
Collaboration diagram for vtkImageReader2Collection:

[legend]
List of all members.

## Detailed Description

maintain a list of implicit functions

Date:
  2002/08/13 17:14:28

Revision:
  1.5

vtkImageReader2Collection is an object that creates and manipulates lists of objects of type vtkImplicitFunction.

See also:
  vtkCollection vtkPlaneCollection

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (77%)
  - Cedilnik, Andy (22%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkImageReader2Collection.h)`
  - .`cxx` (`/IO/vtkImageReader2Collection.cxx)`

Definition at line 46 of file vtkImageReader2Collection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkImageReader2 *)
vtkImageReader2 * | GetNextItem ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageReader2Collection * | SafeDownCast (vtkObject *o)
vtkImageReader2Collection * | New ()
## Protected Methods
| vtkImageReader2Collection ()
| ~vtkImageReader2Collection ()

## Member Typedef Documentation

typedef vtkCollection vtkImageReader2Collection::Superclass

| Reimplemented from vtkCollection. Definition at line 49 of file vtkImageReader2Collection.h.

## Constructor & Destructor Documentation

vtkImageReader2Collection::vtkImageReader2Collection | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkImageReader2Collection.h.

vtkImageReader2Collection::~vtkImageReader2Collection | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkImageReader2Collection.h.

## Member Function Documentation

virtual const char* vtkImageReader2Collection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkImageReader2Collection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkImageReader2Collection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkImageReader2Collection* vtkImageReader2Collection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

vtkImageReader2Collection* vtkImageReader2Collection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual void vtkImageReader2Collection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkImageReader2Collection::AddItem | ( | vtkImageReader2 * |  | ) |

| Add an implicit function to the list.

vtkImageReader2* vtkImageReader2Collection::GetNextItem | ( |  | ) |

| Get the next implicit function in the list.

The documentation for this class was generated from the following file:

- IO/vtkImageReader2Collection.h